Configure a credential for one competition.
curl --request POST \
--url https://api.example.com/v1/competitions/{slug}/configure-credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential_type": "openrouter_management"
}
'import requests
url = "https://api.example.com/v1/competitions/{slug}/configure-credentials"
payload = { "credential_type": "openrouter_management" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credential_type: 'openrouter_management'})
};
fetch('https://api.example.com/v1/competitions/{slug}/configure-credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Competitions
POST /v1/competitions/{slug}/configure-credentials
Configure a competition-specific credential for API-key automation.
POST
/
v1
/
competitions
/
{slug}
/
configure-credentials
Configure a credential for one competition.
curl --request POST \
--url https://api.example.com/v1/competitions/{slug}/configure-credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential_type": "openrouter_management"
}
'import requests
url = "https://api.example.com/v1/competitions/{slug}/configure-credentials"
payload = { "credential_type": "openrouter_management" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credential_type: 'openrouter_management'})
};
fetch('https://api.example.com/v1/competitions/{slug}/configure-credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Configure a credential required by a competition. For ORO, this registers an
OpenRouter management key for the selected Bittensor wallet.
Authorizations
droydApiKeyBearerdroydApiKeyHeader
A Droyd API key in the Authorization Bearer slot.
Path Parameters
Minimum string length:
1Body
application/json
Response
Successful response.
Was this page helpful?
